{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function msg\r\ndeclare subroutine end_dialog\r\n\r\nOcapID = @CtrlEntId->text\r\nif len( trim( OcapID ) ) then\r\n\topen 'CONFIG' to ConfigTable else\r\n\t   Void = msg( '', 'Unable to open CONFIG table' )\r\n\t   end_dialog( @window, '' )\r\n\t   return 0\r\n\tend\r\n\tlock ConfigTable, OcapID else\r\n\t   *Void = msg( '', OcapID:' is in use somewhere else...' )\r\n\t   *end_dialog( @window, '' )\r\n\t   *return 0\r\n\tend\r\n\tread OcapInfo from ConfigTable, OCapID then\r\n\t   .ocap_info->array = OcapInfo   \r\n\tend\r\nend\r\nreturn 0"
        }
    }
}